Package tigase.xmpp.mam

## Class MAMQueryParser<Query extends Query>

- java.lang.Object
- - tigase.xmpp.mam.MAMQueryParser<Query>

- All Implemented Interfaces:
    `QueryParser<Query>`

      @Bean(name="mamQueryParser",
            active=true)
      public class MAMQueryParser<Query extends Query>
      extends java.lang.Object
      implements QueryParser<Query>

  Implementation of parser for XEP-0313: Message Archive Management
  Created by andrzej on 19.07.2016.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static java.lang.String` | `MAM_XMLNS` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MAMQueryParser()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `addField​(Element x, java.lang.String var, java.lang.String type, java.lang.String label)` |
    `protected void` | `assertIsUUID​(java.lang.String uuid)` |
    `java.util.Set<java.lang.String>` | `getXMLNSs()` |
    `Query` | `parseQuery​(Query query, Packet packet)` |
    `Element` | `prepareForm​(Element elem)` |
    `Element` | `prepareForm​(Element elem, java.lang.String xmlns)` |
    `protected void` | `validateRsm​(RSM rsm)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MAM_XMLNS

          protected static final java.lang.String MAM_XMLNS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MAMQueryParser

          public MAMQueryParser()

  - ### Method Detail

    - #### getXMLNSs

          public java.util.Set<java.lang.String> getXMLNSs()

      Specified by:
        `getXMLNSs` in interface `QueryParser<Query extends Query>`

    - #### parseQuery

          public Query parseQuery​(Query query,
                                  Packet packet)
                           throws ComponentException

      Specified by:
        `parseQuery` in interface `QueryParser<Query extends Query>`
      Throws:
        `ComponentException`

    - #### prepareForm

          public Element prepareForm​(Element elem)

      Specified by:
        `prepareForm` in interface `QueryParser<Query extends Query>`

    - #### prepareForm

          public Element prepareForm​(Element elem,
                                     java.lang.String xmlns)

      Specified by:
        `prepareForm` in interface `QueryParser<Query extends Query>`

    - #### addField

          protected void addField​(Element x,
                                  java.lang.String var,
                                  java.lang.String type,
                                  java.lang.String label)

    - #### validateRsm

          protected void validateRsm​(RSM rsm)
                              throws ComponentException

      Throws:
        `ComponentException`

    - #### assertIsUUID

          protected void assertIsUUID​(java.lang.String uuid)
                               throws ComponentException

      Throws:
        `ComponentException`